adjust_sample(3)

NAME
adjust_sample - Alters the parameters of a sample while it is playing. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void adjust_sample(const SAMPLE *spl, int vol, int pan, int freq, int loop);

DESCRIPTION
Alters the parameters of a sample while it is playing (useful for manipulating looped sounds). You can alter the volume, pan, and frequency, and can also clear the loop flag, which will stop the sample when it next reaches the end of its loop. The values of the parameters are just like those of play_sample(). If there are several copies of the same sample playing, this will adjust the first one it comes across. If the sample is not playing it has no effect.

SEE ALSO
play_sample(3), exsample(3)